tigase.jaxmpp.core.client.xmpp.modules.connection

## Interface ConnectionEndpoint

- All Known Implementing Classes:
    Candidate, Streamhost

      public interface ConnectionEndpoint

  Author:
    andrzej

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `JID` | `getJid()`
    `Integer` | `getPort()`

- - ### Method Detail

    - #### getHost

          String getHost()
                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getJid

          JID getJid()
              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getPort

          Integer getPort()
                   throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.